@echo off
:input
cls
echo Custom DS color corrector layouts v1.0 will be installed for: %username%
echo Your current layouts will be backed up to your desktop.
echo. 
echo To restore the stock layouts run Layouts_Restore.bat,
echo or manually delete all files in:
echo C:\Users\[USER]\AppData\Local\Avid\DS_v[VERS. No.]\Preferences\Surface Layouts\
echo.
echo. 
set INPUT=
set /P INPUT=What is your DS version number (i.e. 11.0, 11.1, etc.)? %=%
if "%INPUT%"=="" goto input

echo.
echo DS version %INPUT% selected
echo.

REM backup existing layouts
mkdir C:\Users\%username%\Desktop\LayoutsBackup
xcopy C:\Users\%username%\AppData\Local\Avid\DS_v%INPUT%\Preferences\"Surface Layouts"\* C:\Users\%username%\Desktop\LayoutsBackup

REM copy layouts
xcopy cc_layouts\* C:\Users\%username%\AppData\Local\Avid\DS_v%INPUT%\Preferences\"Surface Layouts"\ /y
xcopy non_cc_layouts\* C:\Users\%username%\AppData\Local\Avid\DS_v%INPUT%\Preferences\"Surface Layouts"\ /y
echo.

echo Color corrector layouts for %username% on Avid DS V%INPUT% are installed.
echo The window will close.
timeout 10